using Newtonsoft.Json;

namespace FitConnect.Services.Models;

public class ServiceTypeDto {
    [JsonProperty("name")]
    public string? Name { get; set; }

    [JsonProperty("description")]
    public string? Description { get; set; }

    [JsonProperty("identifier")]
    public string? Identifier { get; set; }
}

public class AcceptanceStatus {
    [JsonProperty("metadata")]
    public string Metadata { get; set; }

    [JsonProperty("data")]
    public string Data { get; set; }

    [JsonProperty("attachments")]
    public Dictionary<string, string> Attachments { get; set; }
}
